regina::NProgressStateNumeric Struct Reference
Progress Management

A simple structure used for passing around a numeric state of progress. More...

`#include <progress/nprogresstypes.h>`

## Public Member Functions

| NProgressStateNumeric (long newCompleted=0, long newOutOf=-1)
| Initialises a new structure using the given values. More...

## Public Attributes

long | completed
| The number of items that have already been completed. More...
long | outOf
| The expected total number of items, or -1 if this is not known. More...

## Detailed Description

A simple structure used for passing around a numeric state of progress.

Deprecated:
  This class is deprecated. Please use the more flexible and more streamlined NProgressTracker class instead.

## Constructor & Destructor Documentation

regina::NProgressStateNumeric::NProgressStateNumeric | ( | long | newCompleted = `0`,
|  | long | newOutOf = `-1`
| ) |  |

inline

Initialises a new structure using the given values.

Parameters

  newCompleted | the number of items that have already been completed.
  newOutOf | the expected total number of items, or -1 if this is not known.

## Member Data Documentation

long regina::NProgressStateNumeric::completed

The number of items that have already been completed.

long regina::NProgressStateNumeric::outOf

The expected total number of items, or -1 if this is not known.

The documentation for this struct was generated from the following file:

- progress/nprogresstypes.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).